Subject: Re: [PATCH v5 5/6] p5310-pack-bitmaps.sh: enable `pack.writeReverseIndex`

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 26 Jul 2022 09:15:15 +0200

On Mon, Jul 25 2022, Taylor Blau wrote:

> On Wed, Jul 20, 2022 at 06:38:23PM +0000, Abhradeep Chakraborty via GitGitGadget wrote:
>> From: Abhradeep Chakraborty <[email-masked]>
>>
>> Enable `pack.writeReverseIndex` before running pack-bitmap related
>> performance tests.
>>
>> The performance difference with `pack.writeReverseIndex` enabled and
>> with disabled are given below -
>
> Thanks; this order of changes in the t/perf suite makes sense to me. One
> note, this sort of change where we're comparing all of the tests in a
> single t/perf file against themselves before and after some change, it
> is helpful to do (in t/perf)
>
>   ./run HEAD . p5310-pack-bitmaps.sh
>
> which compares HEAD to what's in the current tree. You'll get the
> results side-by-side, which makes them a little easier to scan. You can
> also aggregate results together from multiple runs with the
> t/perf/aggregate.perl script.
>
> One gotcha (that has often bitten me in the past) is that when running
> the perf suite with `.` as your build target, it uses whatever git
> binary is sitting in your tree. So make sure that it is both (a)
> up-to-date, ie., that it is the result of compiling what's currently in
> your tree, and (b) that it is compiled with the same settings as what
> you built HEAD with.
>
> I have often scratched my head at why the result of running some perf
> suite on '.' seems much slower than it should be, only to realize that
> the "git" binary sitting in my tree was built with -O0 or something.

Rather than comparing HEAD to your current tree it's generally better
to do something like:

	GIT_PERF_MAKE_OPTS='-j3' ./run HEAD~ HEAD [...]